# Class SimpleErrorCalculator

java.lang.Object
picard.sam.SamErrorMetric.BaseErrorCalculator
picard.sam.SamErrorMetric.SimpleErrorCalculator

All Implemented Interfaces:
  `BaseCalculator`

public class SimpleErrorCalculator extends BaseErrorCalculator
A calculator that estimates the error rate of the bases it observes, assuming that the reference is truth.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected long`
`nMismatchingBases`

## Constructor Summary

Constructors
Constructor
Description
`SimpleErrorCalculator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addBase(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusAndRef)`
The function by which new loci are "shown" to the calculator
`BaseErrorMetric`
`getMetric()`
Returns the metric generated by the observed loci
`String`
`getSuffix()`
The suffix that pertains to the implementation of aggregation

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nMismatchingBases

protected long nMismatchingBases

## Constructor Details

### SimpleErrorCalculator

public SimpleErrorCalculator()

## Method Details

### addBase

public void addBase(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusAndRef)
The function by which new loci are "shown" to the calculator

Specified by:
  `addBase` in interface `BaseCalculator`
Overrides:
  `addBase` in class `BaseErrorCalculator`

### getSuffix

public String getSuffix()
The suffix that pertains to the implementation of aggregation

### getMetric

public BaseErrorMetric getMetric()
Returns the metric generated by the observed loci